nogoods.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include <gecode/search.hh>`
`#include "test/test.hh"`

Go to the source code of this file.

## Classes

class | Test::NoGoods::Queens
| Example for testing integer no-goods. More...
class | Test::NoGoods::Hamming
| Example for testing set no-goods. More...
class | Test::NoGoods::NoGoods< Model, ValBranch >
| Base class for no-good tests More...
class | Test::NoGoods::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::NoGoods
| Tests for search using no-goods.

## Functions

void | Test::NoGoods::dummy (Space &)
| A dummy function for branching.

## Variables

Create | Test::NoGoods::c